# Intro

On va regarder les organisations et les petits bonshommes qui la font. Avec l'autre cours (management RH) on aura ainsi une vision macro et micro !

La sociologie de l'orga permet d'optimiser, de faire que ça fonctionne, fonctionne bien, fonctionne mieux.  
Exemple du métro : si le fléchage est mauvais, les gens vont un peu n'importent comment, les flux sont bordelliques, c'est la merde et on pert en efficience (moins de gens par rame, lenteur dans les couloirs...). En modifiant simplement le fléchage on corrige tout ça. Il suffit donc souvent de changer un seul truc pour que ça roule !

## Examen

À rendre pour le 17 juin. Il s'agit d'une étude, sous un angle choisi, de notre entreprise.  
Format du nom de fichier :  SG1_NOM_Prenom.doc  
20 pages minimum

**Consignes :** 

Développer 20 concepts (de sociologie, pas de management) à partir d'une analyse interne de notre entreprise.  
Il faut gérer une analyse fine : savoir dire que faire face à telle ou telle situation/façon d'agir (ex : comment gérer les notes de frais...). Être dans une quête de rationnalité : comment faire pour que l'on fonctionne **mieux** ?

Le management par les flux, c'est le top si c'est bien fait. On peut donc se poser la question de comment la réaliser ? Notre organisation y est-elle ? Comment l'atteindre ?  
On va montrer comment fonctionnent les boites. On doit voir comment gagner le plus d'argent en peaufinant chaque élément. 

Mettre en annexes les observations qu'on a pu faire en entreprise. Ces observations ne comptent pas dnas les 20 pages ! On s'en sert pour tirer nos 20 concepts. 

Attention à **prendre en considération le contexte** !

DAS = Domaine d'Activité Stratégique. C'est un sous-domaine de l'activité à développer (avec le client) pour amélmiorer la productivité et le rendement. Si on en a des potentiels, il faut savoir les identifier et donc trouver les bonnes problématiques.

# I - Introduction à la sociologie des organisations

## 1 - Organisation, entreprise, institution

### 1.1 - L'organisation

Mettre de l'ordre dans une situation considérée en désordre. L'action d'organiser est un processus plus ou moins volontaire car c'est parfois pas intentionnel : on s'organise par la force des choses, par besoin immédiat. 

Les organisation se caractérisent par des individues réalisant un objectif officiellement commun. L'idée est d'arriver à une synergie.  
Il faut bien vérifier et faire attention à la réalité : il y a l'objectif de façade, et ce que font les différents services de l'entreprise en réalité. Ainsi les entreprises "marchent en crabe" : il faut arriver à les refaire marcher droit.

Gros essor des organisations au XX^ème^ siècle. On en est aujourd'hui entourés de structures : on ne peut plus s'en défaire, ou très difficilement (fin fond d'un désert our certaines zonies de montagne...).

Ces organisation sont importantes à plusieurs niveaux. Notamment, elles fournissent des services de façon efficace. Il y a un confort autour du service : une orga pour fonctionner fournit tous les services qui font que le client se sent bien et revient.  
Elles concilient aussi des besoin divers de leurs employés (diversité, éthique, motivation...) qui sont des éléments discutables, pouvant changer selon le point de vue. 

### 1.2 L'entreprise

Basiquement, toute entité légale qui produit des biens/services. Parmis ses caractéristiques, on remarque que son activité est fixe : des gens qui la composent vont disparaitre mais la boîte va continuer. Elle est également fondée sur une prise de risque, un pari initial. 

L'entreprise est une organisation : on y retrouve action colective et autonomie. Certaines activités sont plus exotiques genre vendre des brevets ou distribuer des biens/services seulement.

### 1.3 L'institution

Ensemble de normes sociales, de règles explicites propres à une société et auxquelles les gens se conforment. 

Ces normes sont extérieures : même si on est pas d'accord, on a pas le choix ! Elles sont également contraignantes et sanctionnées. D'un pays à l'autres, les valeurs qui sous-tendenht les insitutions changent. 

### 1.4 L'efficacité de l'organisation

Elle se définit notamment par la performance : ensemble de repères qui permettent de juger de l'orga. 

Il y a une différence entre efficace et efficient :  l'un touche au rapport entre les résultats obtenus et les objectifs fixés, l'autre au rapport entre les moyens utilisés et les résultats obtenus.

Une entreprise cherche à atteindre plusieurs buts : les principaux touchent à la production, au besoin du public, au fonctionnement de l'organisation, d'autres sont dérivés et ne touchent pas directement aux besoins de production mais permettrent d'améliorer les résultats, genre les buts politiques (ex : protection de l'amendement des armes pour une entreprise qui en fabrique).

Ces buts existent de façon simultanée, et sont d'importances différentes qui peuvent varier. Par exemple lors de la crise de 2008, le CA est devenu brusquement beaucoup plus important que la marge, alors qu'avant et après cette crisé c'était la marge qui prédominait. On cible donc ce qui permet à l'entreprise de prospérer.  
Souvent il y a des buts officiels, généraux et vagues, et des buts opératoires plus concrets. Certaines grosses entreprises annoncent un objectif global vague et font exactement l'inverse (_Don't be evil !_).

Un entreprise a 4 parties prenantes, chacun agit selon des intérêts différents et juger l'efficacité selon des critères différents :

- Actionnaire
- Salarié
- Client
- Environnement.

L'actionnaire peut gérer ou non : il laisse alors un salarié diriger. Attention au salarié dirigeant qui peut agir au détriment des salariés, des actionnaires ou des clients : il n'agit pas forcément dans l'intérêt de l'entreprise mais du sien !

Pour observer la santé d'une organisation, on regarde surtout sa croissance et sa structure. Il faut également veiller à satisfaire les intérêts des employés.  
La stabilité est un point important. Notamment le turn-over qui est à surveiller : si aucun c'est que c'est trop confortable, si beaucoup c'est que quelque chose ne va pas.

## 2 - La sociologie des organisations

### 2.1 - Définition

Actions des individus et des groupes dans le fonctionnement de l'organisation

### 2.2 - Objectifs de la socio des orgas

Expliquer ces comportements et relations,; qu'ils soient conformes ou non aux règles prescrites.

Le champ d'analyse de la socio des orgas s'est déplacé avec l'arrivée de l'informatique (télétravail, régie...)

### 2.3 - Les problèmes liés à la construction des explications des comportements

La construction des hypothèses, se fait par rapport aux comportements récurrents à partir d'une série de questions. Il est important de rester objectif, d'avoir du recul. Réfléchir par rapport aux évènements, ce que les gens en disent et ce qu'on en déduit.

### 2.4 - Les relations entre modèles théoriques, représentation de l'individu au travail et modalités de management

Il existe deux approches des fonctionnements organisationnels :

- Comprendre ce qui est observé :observation simple, sans jugement
- Changer ce qui est : dire de qui ne va pas

=> il faut faire les deux dans le dossier !

Les modalités de management, elles, tendent à modifier la réalité pour obtenir l'obéissance : les gens le veulent bien. On corrige ainsi ce qui ne va pas et qu'on a observé & analysé grâce à la socio.

La sociologie donne un éclairage, le management improvise et s'adapte à ces situations.

### 2.5 - L'intérêt de la sociologie des organisations

Elle permet une compréhension des comportements humains dans les orgas. 

Attention, elle doit rester relativement neutre pour obtenir ses conclusions. Elle implique un renouvellement du regard, une distanciation des jugements spontanés.

Elle permet également de comprendre plusieurs éléments inhérents aux relations humaines dans l'orga, indépendamment des règles, de la rationnalité. il ne faut pas chercher les responsables des dysfonctionnements, mais les cause, faire une approche systémique. Il y a de toute façon des conflits dans un groupe !

Il y a un renouvellement dans la façon de penser le changement. Il n'est plus simplement du à l'insertion de nouvelles règles mais prend en compte la dimension psychologique des individus (théorie de la motivation au travail). Il est aussi appréhendé à partir du système des relations de pouvoir entre les individus : on change les règles qui génèrent ces relations de pouvoir (le pouvoir n'est pas toujours dans les mains du chef !).

En gros : la socio des orgas part du principe qu'on passe l'essentiel de notre temps dans des organisations, et que toutes ces organisations différentes vont avoir des problèmes communs.

## 3 - Les éléments fondateurs d'une structure organisationnelle

### 3.1 - L'ère pré-moderne

Les premières grosses activités humaines étaient bien badass : pyramides, muraille de Chine, cathédrales... il a fallu beaucoup de gestion, de centralisation, d'organisation, de conduite de projet. 

### 3.2 - Adam Smith

Spécialisation du travail, vu l'année dernière. Pour spécialiser le travail, on a besoin de coordonner. 

### 3.3 - Application au management : les ressources et compétences

Ces deux éléments sont nécessaires à la réalisation des objectifs. On définit donc les compétences dont on a besoin en tant que chef, une fois le périmètre des opérations nécéssaires établi.

Le principe de spécialisation se traduira ensuite par une série de questions, comment : diviser le travail, définir les postes...  
...Attribuer des moyens : à qui ? selon quels critères ?   
...Recruter des compétences : la définition de poste doit se faire à partir du travail, non des gens.  
...contrôler le travail : idéalement, chacun vérifie son travail au plus possible.

### 3.4 - Le principe de la coordination (ou intégration) des activités

L'objectif est de réduire les effets de la différentiation : parties de l'organisation qui placent leur activité au dessus de celle des autres. Différentiation et intégration sont complémentaires mais opposées ! La coordination est ainsi "l'autre face" de la spécialisation. 

### 3.5 - La distribution des rôles

La coordination des parties passe notamment par la culture d'entreprise : des valeurs communes, et la méthode de conduite de projet. 

# II - L'école classique

## 1 - Le contexte socio-économique de la fin du XIXème siècle

Frise chronologique sur PDF, montrant les grands jalons des entreprises, les différentes crises survenues, et l'arrivée de outils aux différentes périodes.

On se base sur le contexte socio-économique des États-Unis.

Àla fin du XIXème, début du XXème, plsueiurs phénomènes se développent : 

- Développement des luttes ouvrières et naissance du capitalisme (il était à l'époque interdit de se réunir entre ouvrir pour causer de ce qui n'allait pas)
- Contrôle effectué par les ouvriers qualifiés du processus de production : seuls à détenir un savoir, ils rechignaient à transmettre leurs connaissances pour garder le pouvoir.
- Forte mobilité des ouvriers et importante syndicalisation des ouvriers qualifiés
- Forte immigration offrant une main d'oeuvre massive mais non qualifiée : pendant que les hommes crevaient dans les tranchées, les femmes crevaient au travail à se faire exploiter.
- Grosse montée de la défense des droits des travailleurs, notamment grâce au _Noble and Holy Order of the Knights of Labor_

Face à ça, le patronnat a cherché des méthodes de rationnalisation, des techniques de travails permettant. Ils veulent en effet garder le pouvoir, qu'ils sont en train de perdre. Ces méthodes permettent de déposséder les ouvriers qualifiés "essentiels" pour les remplacer par des méthodes de travail que chacun peut faire. 

L'évolution de la mécanisation et de l'automatisation se fait également dans ce sens en limitant des modifications possibles sur les machines par les ouvriers qualifiés